<template>

    <div class="main-content">
      <breadcrumb separator="›">
        <breadcrumb-item label="Início" to="/admin"></breadcrumb-item>
      </breadcrumb>

      <nav class="nav">
        <div class="nav-left">
          <div class="nav-item">
            <h2 class="title">Perguntas</h2>
          </div>
        </div>
        <div class="nav-right">
          <div class="nav-item">
            <router-link to="/admin/pergunta/adicionar" class="button is-primary">Adicionar</router-link>
          </div>
        </div>
      </nav>



      <div class="the-content">
        <div class="nav-left">
          <div class="nav-item">
            <b>Total de Perguntas:</b> {{total}}
          </div>
        </div>
        <table class="table is-bordered is-striped">
          <tr>
            <th>Pergunta</th>
            <th>Texto de ajuda</th>
            <th>Ordem</th>
            <th>Ativa</th>
            <th>Diponível no App</th>
            <th style="width: 50px">Ações</th>
          </tr>

          <tr v-for="(node, index) in dataSource" :key="index">
            <td>{{ node.title }}</td>
            <td>{{node.help}}</td>
            <td>{{ node.order }}</td>
            <td class="has-text-centered">
                <span v-if="node.active">Sim</span>
                <span v-else>Não</span>
            </td>
            <td class="has-text-centered">
              <span v-if="node.mobile">Sim</span>
              <span v-else>Não</span>
          </td>
            <td>
              <router-link :to="`/admin/pergunta/${node.id}/editar`" class="button is-small is-warning">
                <i class="fa fa-pencil"></i> &nbsp; Editar Pergunta
              </router-link>
            </td>
          </tr>

        </table>
      </div>
      <pagination :total="pagerCtrl.total" size="small" layout="pager" :change="changePage"></pagination>
    </div>

</template>

<script>
  import { adminGetQuestions } from '../api/questions-admin.service'
  import { mapGetters } from 'vuex'

  export default {
    name: 'QuestionsPage',

    data () {
      return {
        dataSource: [],
        pagerCtrl: {
          limit: 40,
          skip: 0,
          total: 0
        },
        total: 0
      }
    },

    methods: {
      changePage(page) {
        let skip = 0;
        if (page > 1) {
          skip = (40*(page-1));
        }
        adminGetQuestions(40, skip, null)
          .then(
            success => {
              this.dataSource = success.data
            }
          )
      }
    },

    created () {
      adminGetQuestions()
        .then(
          success => {
            this.pagerCtrl.limit = success.limit
            this.pagerCtrl.skip = success.skip
            this.pagerCtrl.total = success.total
            this.total = success.total
            this.dataSource = success.items
          }
        )
    }
  }
</script>